# Method SSL.Cipher.lookup()

Method lookup

  `CipherSpec lookup(int suite, ProtocolVersion|int version, array(array(int)) signature_algorithms, int max_hash_size)`

Description

  Lookup the crypto parameters for a cipher suite.

Parameter `suite`

  Cipher suite to lookup.

Parameter `version`

  Version of the SSL/TLS protocol to support.

Parameter `signature_algorithms`

  The set of <hash, signature> combinations that are supported by the other end.

Parameter `max_hash_size`

  The maximum hash size supported for the signature algorithm.

Returns

  Returns `0` (zero) for unsupported combinations, otherwise returns an initialized CipherSpec for the suite.